
Redmine - Defect #10619

When changing status before tracker, it shows improper status

2012-04-09 09:57 - Tiffany C

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

Hi.  I found out an improper behavior when I changed the status before the tracker at the issue page.

You can reproduce this problem at this redmine.org site.  On the "New issue" page, there are three trackers: Defect, Feature, and

Patch, and each of trackers has two statuses: New and Resolved.

1. When you open the new issue page, "Defect" tracker and "New" status are selected.

2. Change the status to "Resolved"

3. Change the tracker to "Feature"

4. At this point, there has only "New" status, and "Resolved" is missing.

If you skip (2) and just change the tracker, there are both "New" and "Resolved".

Is there any problem somewhere on workflow?  I had a similar problem on my setting.  After changing the status before the tracker, it

seems that Redmine passes the selected status to the tracker (not the original status stored in database); therefore, when changing

the tracker, it gets the next status from workflow based on the changed status.

Thanks!

Associated revisions

Revision 9378 - 2012-04-09 11:39 - Jean-Philippe Lang

Fixed that improper statuses are proposed when changing status before tracker on the issue form (#10619).

History

#1 - 2012-04-09 11:40 - Jean-Philippe Lang

- Category set to Issues workflow

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

You're absolutely right and it's fixed in r9378.

#2 - 2012-04-13 04:45 - Tiffany C

Thanks!  I applied to my Redmine and it works fine!

#3 - 2012-04-14 06:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged, thanks for the feedback.
